<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Chat</title>
    <link rel="stylesheet" href='./assets/styles/index.css' />
    <link rel="stylesheet" type="text/css" href="src/css/base.css">
    <link rel="stylesheet" type="text/css" href="src/css/smalltalk.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">

    <style>
      #loader {
        transition: all 0.3s ease-in-out;
        opacity: 1;
        visibility: visible;
        position: fixed;
        height: 100vh;
        width: 100%;
        background: #fff;
        z-index: 90000;
      }

      #loader.fadeOut {
        opacity: 0;
        visibility: hidden;
      }



      .spinner {
        width: 40px;
        height: 40px;
        position: absolute;
        top: calc(50% - 20px);
        left: calc(50% - 20px);
        background-color: #333;
        border-radius: 100%;
        -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
        animation: sk-scaleout 1.0s infinite ease-in-out;
      }

      @-webkit-keyframes sk-scaleout {
        0% { -webkit-transform: scale(0) }
        100% {
          -webkit-transform: scale(1.0);
          opacity: 0;
        }
      }

      @keyframes sk-scaleout {
        0% {
          -webkit-transform: scale(0);
          transform: scale(0);
        } 100% {
          -webkit-transform: scale(1.0);
          transform: scale(1.0);
          opacity: 0;
        }
      }
    </style>
  </head>
  <body class="app">
    <!-- @TOC -->
    <!-- =================================================== -->
    <!--
      + @Page Loader
      + @App Content
          - #Left Sidebar
              > DateSidebar Header
              > DateSidebar Menu

          - #Main
              > DateTopbar
              > DateApp Screen Content
    -->

    <!-- @Page Loader -->
    <!-- =================================================== -->
    <div id='loader'>
      <div class="spinner"></div>
    </div>

    <script>
      window.addEventListener('load', function load() {
        const loader = document.getElementById('loader');
        setTimeout(function() {
          loader.classList.add('fadeOut');
        }, 300);
      });
    </script>

    <!-- @App Content -->
    <!-- =================================================== -->
    <div>
      <!-- #Left Sidebar ==================== -->
      <div class="sidebar">
        <div class="sidebar-inner">
          <!-- ### DateSidebar Header ### -->
          <div class="sidebar-logo">
            <div class="peers ai-c fxw-nw">
              <div class="peer peer-greed">
                <a class="sidebar-link td-n" href="index.html">
                  <div class="peers ai-c fxw-nw">
                    <div class="peer">
                      <div class="logo">
                        <img src="https://www.freeiconspng.com/uploads/customers-icon-20.png" style="width:50px;height:50px;margin-top:5px;"alt="">
                      </div>
                    </div>
                    <div class="peer peer-greed">
                      <h5 class="lh-1 mB-0 logo-text">Customer Engagement System</h5>
                    </div>
                  </div>
                </a>
              </div>
              <div class="peer">
                <div class="mobile-toggle sidebar-toggle">
                  <a href="" class="td-n">
                    <i class="ti-arrow-circle-left"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>

          <!-- ### DateSidebar Menu ### -->
          <ul class="sidebar-menu scrollable pos-r">
            <li class="nav-item mT-30 active li-dashboard">
              <a class="sidebar-link" href="index.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-home"></i>
                </span>
                <span class="title">Dashboard</span>
              </a>
            </li>
            <li class="nav-item li-approval" >
              <a class='sidebar-link' href="approval.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-share"></i>
                </span>
                <span class="title">Approval</span>
              </a>
            </li>
            <li class="nav-item li-email" >
              <a class='sidebar-link' href="email.html">
                <span class="icon-holder">
                  <i class="c-brown-500 ti-email"></i>
                </span>
                <span class="title">Email</span>
              </a>
            </li>

            <li class="nav-item li-chat" >
              <a class='sidebar-link' href="chat.html">
                <span class="icon-holder">
                  <i class="c-deep-purple-500 ti-comment-alt"></i>
                </span>
                <span class="title">Chat</span>
              </a>
            </li>
            <li class="nav-item li-history" >
              <a class='sidebar-link' href="history.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-comment-alt"></i>
                </span>
                <span class="title">History</span>
              </a>
            </li>
          </ul>
        </div>
      </div>

      <!-- #Main ============================ -->
      <div class="page-container">
        <!-- ### DateTopbar ### -->
        <div class="header navbar">
          <div class="header-container">
            <ul class="nav-left">
              <li>
                <a id='sidebar-toggle' class="sidebar-toggle" href="javascript:void(0);">
                  <i class="ti-menu"></i>
                </a>
              </li>
              <li class="search-box">
                <a class="search-toggle no-pdd-right" href="javascript:void(0);">
                  <i class="search-icon ti-search pdd-right-10"></i>
                  <i class="search-icon-close ti-close pdd-right-10"></i>
                </a>
              </li>
              <li class="search-input">
                <input class="form-control" type="text" placeholder="Search...">
              </li>
            </ul>
            <ul class="nav-right">
              <li class="notifications dropdown">
                <span class="counter bgc-red">3</span>
                <a href="" class="dropdown-toggle no-after" data-toggle="dropdown">
                  <i class="ti-bell"></i>
                </a>

                <ul class="dropdown-menu">
                  <li class="pX-20 pY-15 bdB">
                    <i class="ti-bell pR-10"></i>
                    <span class="fsz-sm fw-600 c-grey-900">Notifications</span>
                  </li>
                  <li>
                    <ul class="ovY-a pos-r scrollable lis-n p-0 m-0 fsz-sm">
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/1.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <span>
                              <span class="fw-500 username">Charles Lo</span>
                              <span class="c-grey-600">liked your <span class="text-dark">post</span>
                              </span>
                            </span>
                            <p class="m-0">
                              <small class="fsz-xs">5 mins ago</small>
                            </p>
                          </div>
                        </a>
                      </li>
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/2.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <span>
                              <span class="fw-500">Moo Doe</span>
                              <span class="c-grey-600">liked your <span class="text-dark">cover image</span>
                              </span>
                            </span>
                            <p class="m-0">
                              <small class="fsz-xs">7 mins ago</small>
                            </p>
                          </div>
                        </a>
                      </li>
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/3.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <span>
                              <span class="fw-500">Lee Doe</span>
                              <span class="c-grey-600">commented on your <span class="text-dark">video</span>
                              </span>
                            </span>
                            <p class="m-0">
                              <small class="fsz-xs">10 mins ago</small>
                            </p>
                          </div>
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="pX-20 pY-15 ta-c bdT">
                    <span>
                      <a href="" class="c-grey-600 cH-blue fsz-sm td-n">View All Notifications <i class="ti-angle-right fsz-xs mL-10"></i></a>
                    </span>
                  </li>
                </ul>
              </li>
              <li class="notifications dropdown">
                <span class="counter bgc-blue">3</span>
                <a href="" class="dropdown-toggle no-after" data-toggle="dropdown">
                  <i class="ti-email"></i>
                </a>

                <ul class="dropdown-menu">
                  <li class="pX-20 pY-15 bdB">
                    <i class="ti-email pR-10"></i>
                    <span class="fsz-sm fw-600 c-grey-900">Emails</span>
                  </li>
                  <li>
                    <ul class="ovY-a pos-r scrollable lis-n p-0 m-0 fsz-sm">
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/1.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <div>
                              <div class="peers jc-sb fxw-nw mB-5">
                                <div class="peer">
                                  <p class="fw-500 mB-0 username">Charles Lo</p>
                                </div>
                                <div class="peer">
                                  <small class="fsz-xs">5 mins ago</small>
                                </div>
                              </div>
                              <span class="c-grey-600 fsz-sm">
                                Want to create your own customized data generator for your app...
                              </span>
                            </div>
                          </div>
                        </a>
                      </li>
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/2.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <div>
                              <div class="peers jc-sb fxw-nw mB-5">
                                <div class="peer">
                                  <p class="fw-500 mB-0">Moo Doe</p>
                                </div>
                                <div class="peer">
                                  <small class="fsz-xs">15 mins ago</small>
                                </div>
                              </div>
                              <span class="c-grey-600 fsz-sm">
                                Want to create your own customized data generator for your app...
                              </span>
                            </div>
                          </div>
                        </a>
                      </li>
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/3.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <div>
                              <div class="peers jc-sb fxw-nw mB-5">
                                <div class="peer">
                                  <p class="fw-500 mB-0">Lee Doe</p>
                                </div>
                                <div class="peer">
                                  <small class="fsz-xs">25 mins ago</small>
                                </div>
                              </div>
                              <span class="c-grey-600 fsz-sm">
                                Want to create your own customized data generator for your app...
                              </span>
                            </div>
                          </div>
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="pX-20 pY-15 ta-c bdT">
                    <span>
                      <a href="email.html" class="c-grey-600 cH-blue fsz-sm td-n">View All Email <i class="fs-xs ti-angle-right mL-10"></i></a>
                    </span>
                  </li>
                </ul>
              </li>
              <li class="dropdown">
                <a href="" class="dropdown-toggle no-after peers fxw-nw ai-c lh-1" data-toggle="dropdown">
                  <div class="peer mR-10">
                    <img class="w-2r bdrs-50p" src="https://randomuser.me/api/portraits/men/10.jpg" alt="">
                  </div>
                  <div class="peer">
                    <span class="fsz-sm c-grey-900 username">Charles Lo</span>
                  </div>
                </a>
                <ul class="dropdown-menu fsz-sm">
                  <li>
                    <a href="" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-settings mR-10"></i>
                      <span>Setting</span>
                    </a>
                  </li>
                  <li>
                    <a href="" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-user mR-10"></i>
                      <span>Profile</span>
                    </a>
                  </li>
                  <li>
                    <a href="email.html" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-email mR-10"></i>
                      <span>Messages</span>
                    </a>
                  </li>
                  <li role="separator" class="divider"></li>
                  <li onclick="logout();">
                    <a href="" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-power-off mR-10"></i>
                      <span>Logout</span>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </div>
        </div>

        <!-- ### DateApp Screen Content ### -->
        <main class='main-content bgc-grey-100'>
          <div id='mainContent'>
            <div class="full-container">
              <div class="peers fxw-nw pos-r">

                <!-- // service from? livechat? has file? has call? date? agent? wechat id?  caht id? -->


                <div class="table-responsive p-30">
                  <table class="table" id="history-table">
                    <thead>
                      <tr>
                        <th class=" bdwT-0">Chat ID</th>
                        <th class=" bdwT-0">Service</th>
                        <th class="bdwT-0">Platform ID</th>
                        <th class=" bdwT-0">Date</th>
                        <th class=" bdwT-0">LiveChat</th>
                        <th class=" bdwT-0">Agent</th>
                        <th class=" bdwT-0">Start</th>
                        <th class=" bdwT-0">End</th>
                        <th class=" bdwT-0">Action</th>
                      </tr>
                    </thead>
                    <tbody id="historydata">
                    </tbody>
                  </table>
                 </div>
              </div>

            </div>
          </div>
        </main>

        <!-- ### DateApp Screen Footer ### -->
        <footer class="bdT ta-c p-30 lh-0 fsz-sm c-grey-600">
          <span>Copyright © 2019 Developed by <a href="http://www.ctigroup.hk/" target='_blank' title="CTI Group">CTI Group Limited</a>. All rights reserved.</span>
        </footer>
      </div>
    </div>
  </body>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <script src="src/js/jquery.min.js"></script>
  <script src="assets/scripts/index.js"></script>
  <script type="text/javascript">
    $(function(){
      $.get("/gethistorytable",function(data){
        var html ='';
        $.each(data, function(index, value){
          html += '<tr>';
          html += '<td class="fw-500">' + value.clientid + '</td>';
          html += '<td>'+ value.service+'</td>';
          html += '<td>'+ value.platformid+'</td>';
          html += '<td>'+ value.date+'</td>';
          html += '<td>'+( value.livechat=='true' ? '<span class="badge bgc-orange-50 c-orange-700 p-10 lh-0 tt-c badge-pill">True</span></td>' : '<span class="badge bgc-green-50 c-green-700 p-10 lh-0 tt-c badge-pill">False</span></td>');
          html+= '<td>' + value.agent + '</td>';
          html+= '<td>' + value.starttime + '</td><td>' + value.endtime + '</td>';
          html += '<td><span class="badge badge-btn bgc-blue-50 c-green-700 p-10 lh-0 tt-c badge-info" id="'+value.clientid+'" onclick="showchat(this)">Content</span> </td></tr>'
        });
        $('#historydata').append(html);
      });
    });
    function showchat(x){
      $.post("/gethistorychat", x.id, function(data){
        var d = JSON.parse(data);
      //  console.log(d[0].body);
        $('.show-acitve').removeClass('show-active');
        var html='';
        html += '<div class="masonry-item historylayer col-md-11 show-active" id="chat'+x.id+'">';
        html += '<div class="popupCloseButton" onclick="$(\'.historylayer\').fadeOut();">X</div><div class="bd bgc-white historyinnerlayer"><div class="layers"><div class="layer w-100 p-20">';
        html += '<h6 class="lh-1">'+x.id+'</h6></div><div class="layer w-100">';
        html += '<div class="bgc-grey-200 p-20 gapY-15 chat-content"></div></div></div></div></div>';
        $('.full-container').append(html);
        for (var i=0; i<d.length; i++){
          console.log(d.length);
          incomeHtml(d[i], x.id);
        }

        $('.historylayer').fadeIn();
      })
      // age sex salary product plan type time tel
    }
    function incomeHtml(chat, clientid){
      var html = '';
      var time = chat.date.slice(-8);
      // console.log(chat);
  		if (chat.addresser==clientid){
        html += '<div class="peers fxw-nw"><div class="peer mR-20">';
        html += '<img class="w-2r bdrs-50p" src="src/img/client.png" alt=""></div>';
        html += '<div class="peer peer-greed"><div class="layers ai-fs gapY-5"><div class="layer"><div class="peers fxw-nw ai-c pY-3 pX-10 bgc-white bdrs-2 lh-3/2">';
        html += '<div class="peer mR-10"><small style="color:lightgrey;">'+time+'</small></div>';
        if (chat.type && chat.type == 'call'){
          html += '<div class="peer-greed"><span><i class="fas fa-video"></i>'+chat.body+'</span></div></div></div></div></div></div>';
        }else if (chat.type && chat.type == 'file'){
          var mediaType = "img";
          if (chat.filecontent.substring(0,10)==='data:video')
              mediaType = "video controls";
          if (chat.filecontent.substring(0,10)==='data:image' || chat.filecontent.substring(0,10)==='data:video'){
            html = "<div class='peer-greed'><span><a target='_blank' href='" + chat.filecontent + "'><"+mediaType+" class='chatbox-image' src='"+chat.body+"'></a></span></div></div></div></div></div></div>";
          }else{
            html="<div class='peer-greed'><span><a target='_blank' download='" + chat.body +"' href='"+chat.filecontent+"'>"+chat.body+"</a></span></div></div></div></div></div></div>";
          }
        }else{
          html += '<div class="peer-greed"><span>'+chat.body+'</span></div></div></div></div></div></div>';
        }

  			$('.show-active .chat-content').append(html);
			}else{
  				html += '<div class="peers fxw-nw ai-fe"><div class="peer ord-1 mL-20">';
          html += '<img class="w-2r bdrs-50p" src="src/img/head.png" alt=""></div>';
          html += '<div class="peer peer-greed ord-0"><div class="layers ai-fe gapY-10"><div class="layer"><div class="peers fxw-nw ai-c pY-3 pX-10 bgc-white bdrs-2 lh-3/2">';
          html += '<div class="peer mL-10 ord-1"><small style="color:lightgrey;">'+time+'</small></div>';
          html += '<div class="peer-greed ord-0"><span>'+chat.body+'</span></div></div></div></div></div></div>';
          $('.show-active .chat-content').append(html);
				}
			}

    function loadMessage(head, val){
  		var ts = val.date || new Date;
  		console.log(hex_md5(val.recipient));
  		$('#'+hex_md5(val.recipient)+' .chat-msg').append('<li><div class="icon"><img class="mehead" src="'+head+'"><span class="help-block">'+(val.addresser ? val.addresser : 'chatbot')+'</span></div><span class="mespeak">'+val.body+'</span><p class="help-block" style="float:right;">'+ (val.date ? ts : ts.toLocaleTimeString())+'</p></li>');
  	}
  	function loadMessagefromClient(head, val){
  		$('#'+hex_md5(val.addresser)+' .chat-msg').append('<li><img src="'+head+'"><span class="speak">'+val.body+'</span><p class="help-block">'+val.date+'</p></li>');
  	}
    $(document).ready(function(){
    $('.badge-btn').on('click',function(){
      console.log('click');
      $('.historylayer').fadeIn();
    });
    $('.popupCloseButton').on('click',function(){
      $('.historylayer').fadeOut();
    })

    })
  </script>

  <script type="text/javascript">
    $.get("/permission", (data)=>{
      data = JSON.parse(data)
      let username = data.username
      let permission = data.permission
      let dashboard = $(".li-dashboard")
      let approval = $(".li-approval")
      let email = $(".li-email")
      let chat = $(".li-chat")
      let history = $(".li-history")
      let classUsername = $(".username")
      if(typeof permission === 'undefined'){
        window.location.href = 'login.html'
      }else if(permission === 'admin') {
        approval.show()
        email.show()
        chat.show()
        history.show()
      }else if(permission === 'agent') {
        // index.hide()
        // window.location.href = 'chat.html'
        approval.hide()
        dashboard.hide()
        history.hide()
        window.location.href='chat.html'
      }else if(permission === 'customer') {
        window.location.href='approval.html'
        // approval.show()
        // history.show()
      }
      for(let i=0;i<classUsername.length;i++){
        classUsername[i].innerHTML = username
      }
    })
    function logout(){
      window.location.href = 'login.html'
      $.post("/logout", (data)=>{
        console.log(data)
      })

    }
  </script>
</html>
